Page MenuHomePhabricator

System and composite block messages on mobile contain confusing information
Closed, ResolvedPublic

Description

From T225748#5261787

Screenshot of a composite block message on mobile:

  1. Block message reports the blocking user as "MediaWiki default", which may be confusing
  2. The "Details" link takes you to /w/index.php?title=Special:BlockList&wpTarget=%23null, which confusingly does not show details of the composite block or system block

More about (1): Some system blocks report an arguably-more-useful message for the blocking user (e.g. "Proxy blocker" in en for proxy blocks). "Mediawiki default" is hard-coded for soft blocks and composite blocks. One thing that complicates this is that the 'byText' option for a system block needs to be defined in $wgReservedUsernames; presumably "Mediawiki default" was chosen as an alternative to defining a new message there.

More about (2): This is problematic for all system blocks. System and composite blocks don't have block IDs and aren't listed on Special:BlockList, so having this link for them is not helpful.

One solution could be to remove both the information about the blocker and the "Details" link from the mobile block message for system and composite blocks. The important information for these blocks, including links to helpful information, could be delivered via the reason instead.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterFix block message drawer to link correctly to Special:BlockList
mediawiki/extensions/MobileFrontend : masterRemove link from block message drawer for blocks with no ID

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptJun 17 2019, 1:27 PM

Ideally, the information displayed on mobile should be the same as the information on desktop which we decided on in T212326: Overlapping blocks may display incorrect block notice.

From the estimation meeting:

  • Add the block IDs
  • Show the expiry (last expiry from the blocks)
  • Show the reason (if we can)

I think it makes sense to get rid of the Blocked by part entirely.

Ideally, the Details link should take them to someplace where they have a way to appeal against the block. If we can't think of a good way to do that, it might just be better to remove that. I do think linking to the block IDs is helpful - can we do that from the Reason for the block?

Niharika triaged this task as Medium priority.Jun 18 2019, 4:27 PM

Change 545939 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/MobileFrontend@master] Remove link from block message drawer for blocks with no ID

https://gerrit.wikimedia.org/r/545939

Change 545939 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove link from block message drawer for blocks with no ID

https://gerrit.wikimedia.org/r/545939

@Tchanders I am finding on beta and test that the "Details" link in mobile block messages has an empty href.

Experimenting locally, it seems to first happen when I checkout commit ae63069bea9e928ab706783d9360a78dbce793a2.

Change 547641 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/MobileFrontend@master] Fix block message drawer to link correctly to Special:BlockList

https://gerrit.wikimedia.org/r/547641

  1. Block message reports the blocking user as "MediaWiki default", which may be confusing

Fixed by https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/546991/

Change 547641 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix block message drawer to link correctly to Special:BlockList

https://gerrit.wikimedia.org/r/547641

dbarratt updated the task description. (Show Details)Nov 1 2019, 3:27 PM

On Beta, testing username, IP, autoblocks and cookie blocks. The "Details" link appears and links to the correct block ID in Special:BlockList.

Testing composite blocks the "Details" link does not appear.

On my local VM, testing system blocks ($wgProxyList, $wgSoftBlockRanges, and $wgEnableDnsBlacklist) the "Details" link does not appear.

On my local vagrant, I tested the local blocks created by CentralAuth. The "Details" link ID is correct, but the block is hidden so a regular user would not see anything when they click through to Special:BlockList (just "No matching blocks found for the requested IP address or username."). It might still be useful to show users the link so they can send it to an admin, for example. @Niharika any strong opinions?

I only tested how the error message looked on mobile editing.

dbarratt closed this task as Resolved.Wed, Nov 13, 4:08 PM